<?xml version="1.0" encoding="utf-8"?>
<Project DefaultTargets="Build" ToolsVersion="14.0" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <ItemGroup Label="ProjectConfigurations">
    <ProjectConfiguration Include="Debug|Win32">
      <Configuration>Debug</Configuration>
      <Platform>Win32</Platform>
    </ProjectConfiguration>
    <ProjectConfiguration Include="Debug|x64">
      <Configuration>Debug</Configuration>
      <Platform>x64</Platform>
    </ProjectConfiguration>
    <ProjectConfiguration Include="Release|Win32">
      <Configuration>Release</Configuration>
      <Platform>Win32</Platform>
    </ProjectConfiguration>
    <ProjectConfiguration Include="Release|x64">
      <Configuration>Release</Configuration>
      <Platform>x64</Platform>
    </ProjectConfiguration>
  </ItemGroup>
  <PropertyGroup Label="Globals">
    <ProjectGuid>{6974EAB9-9AF9-4C81-833F-45B52FB2B315}</ProjectGuid>
    <RootNamespace>Rift</RootNamespace>
  </PropertyGroup>
  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.Default.props" />
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|Win32'" Label="Configuration">
    <ConfigurationType>StaticLibrary</ConfigurationType>
    <CharacterSet>Unicode</CharacterSet>
    <WholeProgramOptimization>true</WholeProgramOptimization>
    <PlatformToolset>v142</PlatformToolset>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|x64'" Label="Configuration">
    <ConfigurationType>StaticLibrary</ConfigurationType>
    <CharacterSet>Unicode</CharacterSet>
    <WholeProgramOptimization>true</WholeProgramOptimization>
    <PlatformToolset>v142</PlatformToolset>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'" Label="Configuration">
    <ConfigurationType>StaticLibrary</ConfigurationType>
    <CharacterSet>Unicode</CharacterSet>
    <PlatformToolset>v142</PlatformToolset>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|x64'" Label="Configuration">
    <ConfigurationType>StaticLibrary</ConfigurationType>
    <CharacterSet>Unicode</CharacterSet>
    <PlatformToolset>v142</PlatformToolset>
  </PropertyGroup>
  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.props" />
  <ImportGroup Label="ExtensionSettings">
  </ImportGroup>
  <ImportGroup Condition="'$(Configuration)|$(Platform)'=='Release|Win32'" Label="PropertySheets">
    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" Label="LocalAppDataPlatform" />
  </ImportGroup>
  <ImportGroup Condition="'$(Configuration)|$(Platform)'=='Release|x64'" Label="PropertySheets">
    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" Label="LocalAppDataPlatform" />
  </ImportGroup>
  <ImportGroup Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'" Label="PropertySheets">
    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" Label="LocalAppDataPlatform" />
  </ImportGroup>
  <ImportGroup Condition="'$(Configuration)|$(Platform)'=='Debug|x64'" Label="PropertySheets">
    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" Label="LocalAppDataPlatform" />
  </ImportGroup>
  <PropertyGroup Label="UserMacros" />
  <PropertyGroup>
    <_ProjectFileVersion>10.0.40219.1</_ProjectFileVersion>
    <OutDir Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">$(Platform)\$(Configuration)\</OutDir>
    <OutDir Condition="'$(Configuration)|$(Platform)'=='Debug|x64'">$(Platform)\$(Configuration)\</OutDir>
    <IntDir Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">$(Platform)\$(Configuration)\</IntDir>
    <IntDir Condition="'$(Configuration)|$(Platform)'=='Debug|x64'">$(Platform)\$(Configuration)\</IntDir>
    <OutDir Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">$(Platform)\$(Configuration)\</OutDir>
    <OutDir Condition="'$(Configuration)|$(Platform)'=='Release|x64'">$(Platform)\$(Configuration)\</OutDir>
    <IntDir Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">$(Platform)\$(Configuration)\</IntDir>
    <IntDir Condition="'$(Configuration)|$(Platform)'=='Release|x64'">$(Platform)\$(Configuration)\</IntDir>
    <CodeAnalysisRuleSet Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">AllRules.ruleset</CodeAnalysisRuleSet>
    <CodeAnalysisRuleSet Condition="'$(Configuration)|$(Platform)'=='Debug|x64'">AllRules.ruleset</CodeAnalysisRuleSet>
    <CodeAnalysisRules Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'" />
    <CodeAnalysisRules Condition="'$(Configuration)|$(Platform)'=='Debug|x64'" />
    <CodeAnalysisRuleAssemblies Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'" />
    <CodeAnalysisRuleAssemblies Condition="'$(Configuration)|$(Platform)'=='Debug|x64'" />
    <CodeAnalysisRuleSet Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">AllRules.ruleset</CodeAnalysisRuleSet>
    <CodeAnalysisRuleSet Condition="'$(Configuration)|$(Platform)'=='Release|x64'">AllRules.ruleset</CodeAnalysisRuleSet>
    <CodeAnalysisRules Condition="'$(Configuration)|$(Platform)'=='Release|Win32'" />
    <CodeAnalysisRules Condition="'$(Configuration)|$(Platform)'=='Release|x64'" />
    <CodeAnalysisRuleAssemblies Condition="'$(Configuration)|$(Platform)'=='Release|Win32'" />
    <CodeAnalysisRuleAssemblies Condition="'$(Configuration)|$(Platform)'=='Release|x64'" />
  </PropertyGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">
    <ClCompile>
      <Optimization>Disabled</Optimization>
      <AdditionalIncludeDirectories>..\LibOVR;..\LibOVR\Kernel;..\LibOVR\Include;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
      <MinimalRebuild>true</MinimalRebuild>
      <BasicRuntimeChecks>EnableFastChecks</BasicRuntimeChecks>
      <RuntimeLibrary>MultiThreadedDebugDLL</RuntimeLibrary>
      <WarningLevel>Level3</WarningLevel>
      <DebugInformationFormat>EditAndContinue</DebugInformationFormat>
      <CompileAs>Default</CompileAs>
      <PreprocessorDefinitions>-DUNICODE;-D_UNICODE;_MBCS;%(PreprocessorDefinitions);OVR_BUILD_DEBUG</PreprocessorDefinitions>
    </ClCompile>
    <Lib>
      <OutputFile>$(IntDir)$(TargetName)$(TargetExt)</OutputFile>
    </Lib>
  </ItemDefinitionGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Debug|x64'">
    <ClCompile>
      <Optimization>Disabled</Optimization>
      <AdditionalIncludeDirectories>..\LibOVR;..\LibOVR\Kernel;..\LibOVR\Include;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
      <BasicRuntimeChecks>EnableFastChecks</BasicRuntimeChecks>
      <RuntimeLibrary>MultiThreadedDebugDLL</RuntimeLibrary>
      <WarningLevel>Level3</WarningLevel>
      <DebugInformationFormat>ProgramDatabase</DebugInformationFormat>
      <CompileAs>Default</CompileAs>
      <PreprocessorDefinitions>_MBCS;%(PreprocessorDefinitions);OVR_BUILD_DEBUG</PreprocessorDefinitions>
      <StructMemberAlignment>Default</StructMemberAlignment>
    </ClCompile>
    <Lib>
      <OutputFile>$(IntDir)$(TargetName)$(TargetExt)</OutputFile>
    </Lib>
  </ItemDefinitionGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">
    <ClCompile>
      <Optimization>MaxSpeed</Optimization>
      <IntrinsicFunctions>true</IntrinsicFunctions>
      <RuntimeLibrary>MultiThreadedDLL</RuntimeLibrary>
      <FunctionLevelLinking>true</FunctionLevelLinking>
      <WarningLevel>Level3</WarningLevel>
      <DebugInformationFormat>None</DebugInformationFormat>
      <CallingConvention>FastCall</CallingConvention>
      <PreprocessorDefinitions>-DUNICODE;-D_UNICODE;_MBCS;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <AdditionalIncludeDirectories>../LibOVR/include</AdditionalIncludeDirectories>
    </ClCompile>
    <Link>
      <GenerateDebugInformation>true</GenerateDebugInformation>
      <OptimizeReferences>true</OptimizeReferences>
      <EnableCOMDATFolding>true</EnableCOMDATFolding>
      <TargetMachine>MachineX86</TargetMachine>
      <OutputFile>$(IntDir)$(TargetName)$(TargetExt)</OutputFile>
      <ImportLibrary>$(IntDir)$(TargetName).lib</ImportLibrary>
    </Link>
    <Lib>
      <OutputFile>$(IntDir)$(TargetName)$(TargetExt)</OutputFile>
    </Lib>
  </ItemDefinitionGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Release|x64'">
    <ClCompile>
      <Optimization>MaxSpeed</Optimization>
      <IntrinsicFunctions>true</IntrinsicFunctions>
      <RuntimeLibrary>MultiThreadedDLL</RuntimeLibrary>
      <FunctionLevelLinking>true</FunctionLevelLinking>
      <WarningLevel>Level3</WarningLevel>
      <DebugInformationFormat>
      </DebugInformationFormat>
      <CallingConvention>FastCall</CallingConvention>
      <PreprocessorDefinitions>_MBCS;%(PreprocessorDefinitions);</PreprocessorDefinitions>
      <AdditionalIncludeDirectories>../LibOVR/include</AdditionalIncludeDirectories>
    </ClCompile>
    <Link>
      <GenerateDebugInformation>true</GenerateDebugInformation>
      <OptimizeReferences>true</OptimizeReferences>
      <EnableCOMDATFolding>true</EnableCOMDATFolding>
    </Link>
    <Lib>
      <OutputFile>$(IntDir)$(TargetName)$(TargetExt)</OutputFile>
    </Lib>
  </ItemDefinitionGroup>
  <ItemGroup>
    <ClInclude Include="..\LibOVR\Include\OVR.h" />
    <ClInclude Include="..\LibOVR\Src\OVR_Device.h" />
    <ClInclude Include="..\LibOVR\Src\OVR_DeviceConstants.h" />
    <ClInclude Include="..\LibOVR\Src\OVR_DeviceHandle.h" />
    <ClInclude Include="..\LibOVR\Src\OVR_DeviceImpl.h" />
    <ClInclude Include="..\LibOVR\Src\OVR_DeviceMessages.h" />
    <ClInclude Include="..\LibOVR\Src\OVR_HIDDevice.h" />
    <ClInclude Include="..\LibOVR\Src\OVR_HIDDeviceBase.h" />
    <ClInclude Include="..\LibOVR\Src\OVR_HIDDeviceImpl.h" />
    <ClInclude Include="..\LibOVR\Src\OVR_JSON.h" />
    <ClInclude Include="..\LibOVR\Src\OVR_LatencyTestImpl.h" />
    <ClInclude Include="..\LibOVR\Src\OVR_Profile.h" />
    <ClInclude Include="..\LibOVR\Src\OVR_SensorFilter.h" />
    <ClInclude Include="..\LibOVR\Src\OVR_SensorFusion.h" />
    <ClInclude Include="..\LibOVR\Src\OVR_SensorImpl.h" />
    <ClInclude Include="..\LibOVR\Src\OVR_ThreadCommandQueue.h" />
    <ClInclude Include="..\LibOVR\Src\OVR_Win32_DeviceManager.h" />
    <ClInclude Include="..\LibOVR\Src\OVR_Win32_DeviceStatus.h" />
    <ClInclude Include="..\LibOVR\Src\OVR_Win32_HIDDevice.h" />
    <ClInclude Include="..\LibOVR\Src\OVR_Win32_HMDDevice.h" />
    <ClInclude Include="..\LibOVR\Src\OVR_Win32_SensorDevice.h" />
    <ClInclude Include="..\LibOVR\Include\OVRVersion.h" />
    <ClInclude Include="..\LibOVR\Src\Kernel\OVR_Alg.h" />
    <ClInclude Include="..\LibOVR\Src\Kernel\OVR_Allocator.h" />
    <ClInclude Include="..\LibOVR\Src\Kernel\OVR_Array.h" />
    <ClInclude Include="..\LibOVR\Src\Kernel\OVR_Atomic.h" />
    <ClInclude Include="..\LibOVR\Src\Kernel\OVR_Color.h" />
    <ClInclude Include="..\LibOVR\Src\Kernel\OVR_ContainerAllocator.h" />
    <ClInclude Include="..\LibOVR\Src\Kernel\OVR_File.h" />
    <ClInclude Include="..\LibOVR\Src\Kernel\OVR_Hash.h" />
    <ClInclude Include="..\LibOVR\Src\Kernel\OVR_KeyCodes.h" />
    <ClInclude Include="..\LibOVR\Src\Kernel\OVR_List.h" />
    <ClInclude Include="..\LibOVR\Src\Kernel\OVR_Log.h" />
    <ClInclude Include="..\LibOVR\Src\Kernel\OVR_Math.h" />
    <ClInclude Include="..\LibOVR\Src\Kernel\OVR_RefCount.h" />
    <ClInclude Include="..\LibOVR\Src\Kernel\OVR_Std.h" />
    <ClInclude Include="..\LibOVR\Src\Kernel\OVR_String.h" />
    <ClInclude Include="..\LibOVR\Src\Kernel\OVR_StringHash.h" />
    <ClInclude Include="..\LibOVR\Src\Kernel\OVR_SysFile.h" />
    <ClInclude Include="..\LibOVR\Src\Kernel\OVR_System.h" />
    <ClInclude Include="..\LibOVR\Src\Kernel\OVR_Threads.h" />
    <ClInclude Include="..\LibOVR\Src\Kernel\OVR_Timer.h" />
    <ClInclude Include="..\LibOVR\Src\Kernel\OVR_Types.h" />
    <ClInclude Include="..\LibOVR\Src\Kernel\OVR_UTF8Util.h" />
    <ClInclude Include="..\LibOVR\Src\Util\Util_LatencyTest.h" />
    <ClInclude Include="..\LibOVR\Src\Util\Util_MagCalibration.h" />
    <ClInclude Include="..\LibOVR\Src\Util\Util_Render_Stereo.h" />
  </ItemGroup>
  <ItemGroup>
    <ClCompile Include="..\LibOVR\Src\OVR_DeviceHandle.cpp" />
    <ClCompile Include="..\LibOVR\Src\OVR_DeviceImpl.cpp" />
    <ClCompile Include="..\LibOVR\Src\OVR_JSON.cpp" />
    <ClCompile Include="..\LibOVR\Src\OVR_LatencyTestImpl.cpp" />
    <ClCompile Include="..\LibOVR\Src\OVR_Profile.cpp" />
    <ClCompile Include="..\LibOVR\Src\OVR_SensorFilter.cpp" />
    <ClCompile Include="..\LibOVR\Src\OVR_SensorFusion.cpp" />
    <ClCompile Include="..\LibOVR\Src\OVR_SensorImpl.cpp" />
    <ClCompile Include="..\LibOVR\Src\OVR_ThreadCommandQueue.cpp" />
    <ClCompile Include="..\LibOVR\Src\OVR_Win32_DeviceManager.cpp" />
    <ClCompile Include="..\LibOVR\Src\OVR_Win32_DeviceStatus.cpp" />
    <ClCompile Include="..\LibOVR\Src\OVR_Win32_HIDDevice.cpp" />
    <ClCompile Include="..\LibOVR\Src\OVR_Win32_HMDDevice.cpp" />
    <ClCompile Include="..\LibOVR\Src\OVR_Win32_SensorDevice.cpp" />
    <ClCompile Include="..\LibOVR\Src\Kernel\OVR_Alg.cpp" />
    <ClCompile Include="..\LibOVR\Src\Kernel\OVR_Allocator.cpp" />
    <ClCompile Include="..\LibOVR\Src\Kernel\OVR_Atomic.cpp" />
    <ClCompile Include="..\LibOVR\Src\Kernel\OVR_File.cpp" />
    <ClCompile Include="..\LibOVR\Src\Kernel\OVR_FileFILE.cpp" />
    <ClCompile Include="..\LibOVR\Src\Kernel\OVR_Log.cpp" />
    <ClCompile Include="..\LibOVR\Src\Kernel\OVR_Math.cpp" />
    <ClCompile Include="..\LibOVR\Src\Kernel\OVR_RefCount.cpp" />
    <ClCompile Include="..\LibOVR\Src\Kernel\OVR_Std.cpp" />
    <ClCompile Include="..\LibOVR\Src\Kernel\OVR_String.cpp" />
    <ClCompile Include="..\LibOVR\Src\Kernel\OVR_String_FormatUtil.cpp" />
    <ClCompile Include="..\LibOVR\Src\Kernel\OVR_String_PathUtil.cpp" />
    <ClCompile Include="..\LibOVR\Src\Kernel\OVR_SysFile.cpp" />
    <ClCompile Include="..\LibOVR\Src\Kernel\OVR_System.cpp" />
    <ClCompile Include="..\LibOVR\Src\Kernel\OVR_ThreadsWinAPI.cpp" />
    <ClCompile Include="..\LibOVR\Src\Kernel\OVR_Timer.cpp" />
    <ClCompile Include="..\LibOVR\Src\Kernel\OVR_UTF8Util.cpp" />
    <ClCompile Include="..\LibOVR\Src\Util\Util_LatencyTest.cpp" />
    <ClCompile Include="..\LibOVR\Src\Util\Util_Render_Stereo.cpp" />
  </ItemGroup>
  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.targets" />
  <ImportGroup Label="ExtensionTargets">
  </ImportGroup>
</Project>